Partially Update Client Objective

Updates specific fields of an objective. Only the fields provided in the request body will be updated.
All other fields will remain unchanged.

Request property names use snake_case in JSON.

Common Use Cases:

  • Updating status (Supported values: Not Assessed, Not Compliant, Partially Compliant, In Review, Compliant, Not Applicable)
  • Updating target_maturity (Supported values: Not Implemented, Initial, Defined, Reviewed, Optimizing)
  • Updating current_maturity (Supported values for name: Not Implemented, Initial, Defined, Reviewed, Optimizing; observation is required with name)
  • Updating implementation_details, description, or remarks
  • Updating in_scope (true or false)

When both in_scope and status are supplied, status is applied last and may adjust
the final scope according to the existing objective status rules.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

Unique identifier of the client

Accepts either the client UUID or the client's tenant_id.

int32
required

Unique identifier of the framework that contains the objective.

int32
required

Unique identifier of the objective to update.

Body Params

JSON payload containing one or more fields to update.
Only the fields included in the request will be applied.

Partial update for an objective. Include only fields to change.
When status is included, it is applied after the other fields in the request.

string

Configured requirement status label. Common labels include Not Assessed, Not Compliant, Partially Compliant, In Review, Compliant, and Not Applicable.

string

Target maturity label available for this objective. Common labels include Not Implemented, Initial, Defined, Reviewed, and Optimizing.

current_maturity
object

Current maturity assessment values to update together

string

Implementation details, including HTML when applicable

boolean

Whether the objective is in scope

string

Objective description

string

Objective remarks

Responses

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json